# PSF-LoginServer - master - net.psforever.services.hart.HartEvent
PSF - LoginServer - master - net.psforever.services.hart.HartEvent
Keywords: PSF LoginServer master net.psforever.services.hart.HartEvent

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package hart
  Definition Classes
    services
- HartEvent
- HartEventStateFields
- HartEventTimeFields
- HartService
- HartTimer
- HartTimerActions
- ShuttleState

o

net.psforever.services.hart

# HartEvent 

###
Companion trait HartEvent

#### object HartEvent

Source
  HartEvent.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HartEvent
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class Boarding (duration: Long) extends HartEvent with Product with Serializable
2.  final case class InTransit (timeOnClock: Long, duration: Long, boardingDuration: Long) extends HartEvent with Product with Serializable
3.  final case class ShuttleTakeoffOps (timeOnClock: Long) extends HartEvent with Product with Serializable
4.  final case class Takeoff (timeOnClock: Long) extends HartEvent with Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def buildEventSequence(inFlightDuration: Long, boardingDuration: Long): Seq[HartEvent]

   The high alititude rapid transport (HART) system is centered around a series of animations of a component orbital shuttle landing and taking off from a given facility.

   The high alititude rapid transport (HART) system is centered around a series of animations of a component orbital shuttle landing and taking off from a given facility. The two important times are the length pof the time the shuttle is away from the facility and the length of time that the shuttle is docked at the facility to allow for passenger boarding. The sequence progresses through stages from the shuttle being landed, to the shuttle departing, to the shuttle returning, and then starting back with the shuttle being landed.
   As the shuttle animates, the facility also animates. As both the shuttle and the facility animate, various other components connect to the facility and to the shuttle undergo state changes, allowing or denying access to the shuttle's boarding routines. When boarding is permitted, this phase is considered as part of a single event in the sequence, and boarding duration lasts for that entire event. The remainder of the sequence is devoted to a remainder of time from the other duration once the known time of fixed animation events are deducted.

   inFlightDuration

     for how long the orbital shuttle is away from being docked at the HART building and not allowing passengers to board

   boardingDuration

     for how long the orbital shuttle is landed at its component HART building and is allowing passnegers to board

   returns

     the final sequence of events

6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
21.  case object Arrival extends HartEvent with Product with Serializable
22.  case object Blanking extends HartEvent with Product with Serializable
23.  case object ShuttleDockingOps extends HartEvent with Product with Serializable
24.  object ShuttleTakeoffOps extends Serializable
25.  object Takeoff extends Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped